Bug 107014 - IDE hangs on shutting down after several switching of Code Assistance
IDE hangs on shutting down after several switching of Code Assistance
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
impl, repository
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 15:05 UTC by Alexander Pepin
Modified: 2007-09-06 18:04 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Stack dump (13.11 KB, application/octet-stream)
2007-06-18 15:08 UTC, Alexander Pepin
Details
previous attachment is not final. It's a final infinite wait threads dump (19.42 KB, application/octet-stream)
2007-06-20 11:09 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2007-06-18 15:05:08 UTC
Steps to reproduce:
- open IDE
- open Mico project
- if Code Assistance is OFF then switch it on and wait until parsing process completes
- switch Code Assistance OFF
- switch Code Assistance ON and wait until parsing process completes
- switch Code Assistance OFF
- close the project
- close IDE
Result: IDE window disappears but the process does not finish (hangs). As a result performance tests hang steadily so
this scenario is a part of the performance test cases.
Comment 1 Alexander Pepin 2007-06-18 15:08:31 UTC
Created attachment 43887 [details]
Stack dump
Comment 2 Alexander Pepin 2007-06-18 15:11:30 UTC
So the bag can be easily reproduced manually and causes the IDE hanging and breaks testruns I raise the priority to P1.
Comment 3 Alexander Simon 2007-06-20 11:09:27 UTC
Created attachment 44038 [details]
previous attachment is not final. It's a final infinite wait threads dump
Comment 4 Alexander Simon 2007-06-20 13:28:54 UTC
fixed in development branch "grgich_hills"

CVS log:

Checking in KeyValueQueue.java;
/shared/data/ccvs/repository/cnd/repository/src/org/netbeans/modules/cnd/repository/queue/KeyValueQueue.java,v  <-- 
KeyValueQueue.java
new revision: 1.1.2.8.4.1; previous revision: 1.1.2.8
done
Comment 5 Alexander Pepin 2007-07-31 13:40:29 UTC
verified in cnd 5.5.1u1 build (20070730)
 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo